Distributions
GET /announcements
List announcements with bidirectional cursor-based pagination
GET
/
announcements
cURL
curl --request GET \
--url https://admin.fanfare.io/api/announcements \
--header 'Authorization: Bearer <token>'{
"data": [
{
"archived": true,
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"experienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"includeAudience": true,
"includeWaitlist": true,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timeZone": "<string>",
"title": "<string>",
"creativeDesignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creativeDocument": {
"body": {},
"editor": "<string>",
"schemaVersion": 2,
"themeOverrides": {
"background": "<string>",
"danger": "<string>",
"fontFamily": "<string>",
"fontHeading": "<string>",
"headerImageUrl": "<string>",
"logoUrl": "<string>",
"muted": "<string>",
"primary": "<string>",
"secondary": "<string>",
"success": "<string>",
"surface": "<string>",
"text": "<string>",
"warning": "<string>"
}
},
"creativeTemplateKey": "<string>",
"imageUrl": "<string>",
"link": "<string>",
"metadata": {
"email": {
"fromEmail": "[email protected]",
"replyToEmail": "[email protected]",
"fromName": "<string>",
"replyToName": "<string>"
}
},
"offsetSeconds": 123,
"scheduledAt": "2023-11-07T05:31:56Z",
"sequenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shortContent": "<string>",
"templateData": {},
"timingStrategy": "POINT_IN_TIME",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
}
],
"pageInfo": {
"endCursor": "<string>",
"startCursor": "<string>"
}
}⌘I
cURL
curl --request GET \
--url https://admin.fanfare.io/api/announcements \
--header 'Authorization: Bearer <token>'{
"data": [
{
"archived": true,
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"experienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"includeAudience": true,
"includeWaitlist": true,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timeZone": "<string>",
"title": "<string>",
"creativeDesignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creativeDocument": {
"body": {},
"editor": "<string>",
"schemaVersion": 2,
"themeOverrides": {
"background": "<string>",
"danger": "<string>",
"fontFamily": "<string>",
"fontHeading": "<string>",
"headerImageUrl": "<string>",
"logoUrl": "<string>",
"muted": "<string>",
"primary": "<string>",
"secondary": "<string>",
"success": "<string>",
"surface": "<string>",
"text": "<string>",
"warning": "<string>"
}
},
"creativeTemplateKey": "<string>",
"imageUrl": "<string>",
"link": "<string>",
"metadata": {
"email": {
"fromEmail": "[email protected]",
"replyToEmail": "[email protected]",
"fromName": "<string>",
"replyToName": "<string>"
}
},
"offsetSeconds": 123,
"scheduledAt": "2023-11-07T05:31:56Z",
"sequenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shortContent": "<string>",
"templateData": {},
"timingStrategy": "POINT_IN_TIME",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
}
],
"pageInfo": {
"endCursor": "<string>",
"startCursor": "<string>"
}
}